You are here

Orcinus

Software Available on Orcinus

Title Version Usage Notes
N
64-bit Red Hat Enterprise Linux Server 5.3 2.6.18...el5 #1 SMP
bash (default) 3.2.25 or later
BLAS In MKL
C - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.1.2

cc is link to gcc (gcc)

C - GNU GCC, Intel, Portland Group (PGI) compilers Intel 12.1.2

(icc - module load intel-2011)

C - GNU GCC, Intel, Portland Group (PGI) compilers Intel 11.0

(icc - module load intel)

C - GNU GCC, Intel, Portland Group (PGI) compilers Portland Group 8.0-6

(pgcc - module load pgi)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers Portland Group 8.0-6

(pgCC - module load pgi)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers GNU 4.1.2

(c++, g++)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers Intel 12.1.2

(icpc - module load intel-2011)

C++ - GNU GCC, Intel, Portland Group (PGI) compilers Intel 11.0

(icpc - module load intel)

CMake 2.8.7

module load cmake

Compilers - C, C++ and Fortran GCC 4.4.7

The GCC 4.4.7 compilers are on the default command PATH.

Compilers - C, C++ and Fortran Intel 14.0.2

Initialize your environment to use the Intel 14.0.2 compilers with

module load intel/14.0.2

Compilers - C, C++ and Fortran GCC 4.8.2

Initialize your environment to use the GCC 4.8.2 compilers with

module load gcc/4.8.2rev203690

Compilers - C, C++ and Fortran Intel 12.1.2

Initialize your environment to use the Intel 12.1.2 compilers with

module load intel-2011/12.1.0-sp1.8.273

Compilers - C, C++ and Fortran PGI 10.6-0

Initialize your environment to use the Portland Group 10.6-0 compilers with

module load compiler/pgi/10.6-0

CP2K 2.5.1

module load intel

C2PK="/global/software/cp2k-2.5.1/bin/cp2k"

mpiexec ${C2PK} input_file.inp > output_file.out

this version includes libXC2 + libint2 (HFC) 

CPMD N
CPMD 3.17.1

CPMD was installing using openmpi 1.6.5  with Intel Compiler. To run cmpd.x, please do this first:

module load cpmd

 

csh Link to tcsh
Emacs 23.1.1
Eye of GNOME 2.16.0.1
FFTW 3.2.2

Set up the environment for FFTW 3 with

module load intel/fftw

or compile with flags

-L/global/software/lib64/intel/fftw-3.2.2/lib \
-Wl,-rpath,/global/software/lib64/intel/fftw-3.2.2/lib \
-lfftw3

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 4.1.2 (gfortran)
Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 3.4.6

(g77)

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers Intel 11.0

(ifort - module load intel)

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers Portland Group 8.0-6

(pgf77, pgf90, pgf95 - module load pgi)

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers GNU 3.4.6

(g77)

Git 1.7.9.4

module load git/

Grace/Xmgrace 5.1.22

xmgrace is on the default command PATH, in /global/software/bin.

GROMACS 4.6.2

Initialize the environment with module load gromacs/4.6.2 .

GROMACS 4.0.7

Initialize the environment with module load gromacs/4.0.7 .

GROMACS 4.5.4

Initialize the environment with module load gromacs/4.5.4 .

GROMACS 4.0.5

Initialize the environment with module load gromacs/4.0.5 .

GROMACS 4.5.5

Initialize the environment with module load gromacs/4.5.5 or  module load gromacs/4.5.5-plumed-2.0 .

GSL 1.16

Set up your environment to use GSL on Orcinus with

module load gcc/4.4.7/gsl-1.16

HDF 5 1.8.8

module load intel-2011/hdf5

ImageMagick 6.2.8
Java Sun Java 1.6.0_14

/global/software/java/jdk1.6.0_14/bin

Java GNU 1.4.2

/usr/bin

Java Java SE JRE HotSpot 1.7.0_71

Set up your environment to use the Java 1.7.0_71 run-time software with

module load java/1.7.0_71

 If running java on the login server, specify a low value for the memory allocation pool, for example with:

java -Xmx80m

Java Java SE JRE HotSpot 1.7.0_45

Version 1.7.0_45 of java is on the default path.

ksh Y
LAMMPS 1Feb14

module load lammps

LAPACK In MKL
Lumerical FDTD Solutions 8.7.3 / 8.11.337

module load lumerical [for default 8.7.3 version] OR

module load lumerical/8.11.337 

MATLAB R2010a

(UBC only)

MATLAB R2009a
MATLAB R2009b

64-worker license for Distributed Computing Server

MATLAB R2011b (/global/software/matlab/bin/matlab)

(UBC only)
MATLAB R2012a
MATLAB Compiler Runtime (MCR) 7.11

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2009b of MATLAB.

Installed to /global/software/matlab/mcr/v711.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.17

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2012a of MATLAB.

Installed to /global/software/matlab/mcr/v717.

See full instructions for creating standalone applications.

 

MATLAB Compiler Runtime (MCR) 8.1

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2013a of MATLAB.

Installed to /global/software/matlab/mcr/v81

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 8.2

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2013b of MATLAB.

Installed to /global/software/matlab/mcr/v82.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 8.3

Version 8.3 of the MATLAB Compiler Runtime files for use with standalone applications compiled with version 5.1 of the MATLAB compiler (distributed with MATLAB R2014a) has been installed to /global/software/matlab/mcr/v83.

MATLAB Compiler Runtime (MCR) 8.0

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2012b of MATLAB.

Installed to /global/software/matlab/mcr/v80.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 8.4

Version 8.4 of the MATLAB Compiler Runtime files for use with standalone applications compiled with version 5.2 of the MATLAB compiler (distributed with MATLAB R2014b) has been installed to /global/software/matlab/mcr/v84.

MATLAB Compiler Runtime (MCR) 7.16

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2011b of MATLAB.

Installed to /global/software/matlab/mcr/v716.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.14

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2010b of MATLAB.

Installed to /global/software/matlab/mcr/v714.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 7.15

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2011a of MATLAB.

Installed to /global/software/matlab/mcr/v715.

See full instructions for creating standalone applications.

MATLAB Compiler Runtime (MCR) 9.0

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2015b of MATLAB.

Installed to /global/software/matlab/mcr/v90 .

MATLAB Compiler Runtime (MCR) 7.13

For use with standalone applications compiled with the version of the MATLAB compiler distributed with R2010a of MATLAB.

Installed to /global/software/matlab/mcr/v713.

See full instructions for creating standalone applications.

mencoder 4.1.2

/global/software/mplayer/bin

Mercurial 2.9.1

Initialize your environment to use Mercurial commands, such as hg, using:

module load python

MKL 10.1.3.027

module load intel

Mono (C# environment) 2.10.2

/global/software/mono-2.10.2

Mono (C# environment) 4.2.1

Initialize your environment to use Mono 4.2.1 on Orcinus with

module load mono/4.2.1

Mono (C# environment) 2.10.2

module load mono/2.10.2

MOPAC 2012

Set up your environment to use MOPAC2012 on Orcinus with

module load mopac/mopac2012_x64

MrBayes 3.2.5 (parallel)

Initialize your environment with

module load mrbayes/3.2.5

NAMD 2.9

module load namd

nano 1.3.12
NCO 4.4.5

Set up the environment to use NCO libraries and binaries with

module load intel/14.0/netcdf_hdf5

NEdit 5.5
NetCDF 4.0.1

/global /software /lib64/gcc /netcdf-4.0.1 (plus earlier versions for other compilers under /global /software /lib64)

Octave 3.2.2

/global/software/octave-3.2.2/bin/octave

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.3.0

Set up your environment to use OpenFOAM with

module load openfoam

Note, as of this writing (2014-12-22), module show openfoam includes the caution that the installation is not ready for production and does not include the ParaView visualization support for OpenFOAM.

PETSc 3.6.2

module load intel/14.0/petsc-3.6.2

Python 2.7.3

with NumPy 1.6.2, SciPy 0.11.0 and matplotlib 1.2.0

Python 2.4.3
Qt 4.2.1-1
Quantum ESPRESSO 4.3.2

Look in /global/software/espresso-4.3.2/bin.  Initialize your environment with

module load intel-2011

Note, binaries are prefixed with qe_.

Quantum ESPRESSO 4.1.2

Look in /global/software/espresso-4.1.2/bin.  Initialize your environment with

module load intel

Ruby 1.8.5
ScaLAPACK MKL

ScaLAPACK is available through the Math Kernel Library (MKL).

sh Link to bash
SIESTA 3.1
tcsh NA
VASP 5.2
VASP 4.6

/global/software/VASP/vasp.4.6/vasp, vasp-gamma

Vim 7.0